<?php
session_start();
require_once ("../conexion.php");
require_once('../include/sesiones.php');
$ord_id=$_GET['id'];
$total=0;
$sql2=mysqli_query($con,"SELECT * from orden_detalle where orden_servicios_ord_id='$ord_id'");
while ($row=mysqli_fetch_array($sql2))
{
    $ordt_cantidad=$row["ordt_cantidad"];
    $ordt_precio=$row["ordt_precio"];
    $ordt_desc=$row["ordt_desc"];
    $precio_total=$ordt_precio*$ordt_cantidad;
    $descuento=($ordt_desc/100)*$precio_total;
    $total+=$precio_total-$descuento;//Sumador
}
$sql=mysqli_query($con,"SELECT sum(ord_abono) as abono from orden_abonos va where orden_servicios_ord_id='$ord_id' and empresa='$empresa'");
$sql=mysqli_fetch_array($sql);
$abono=$sql['abono'];
$saldo=$total-$abono;
?>
<pre style="font-size:24px;text-align:center"><strong class="text-danger">$<?php echo number_format($saldo,0); ?></strong></pre>
<form method="post" action="" name="form_abonar" id="form_abonar" onsubmit="return checkSubmit();">
    <div class="middle">
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="efectivo" checked onChange="medio_pago1(this)"/>
            <div class="front-end box"><span>EFECTIVO</span></div>
        </label>
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="transferencia" onChange="medio_pago1(this)"/>
            <div class="back-end box"><span>TRANSFERENCIA</span></div>
        </label>
        <label>
            <input type="radio" name="forma_pago" id="forma_pago" value="tarjeta" onChange="medio_pago1(this)"/>
            <div class="back-end box"><span>TARJETA</span></div>
        </label>
    </div>
    <div id="div_efectivo" style="display: "> </div>

    <div id="div_nota" style="display: none">
        <label>Nota Credito Disponible</label>
        <input type="text" name="nota_credito" id="nota_credito" value="" class="form-control name_list" autocomplete="off" readonly >
    </div>

    <div id="div_medio_pago" style="display: none">
        <label>PLATAFORMA DE PAGO</label>
        <select name="medio_pago" id="medio_pago" class="form-control name_list input-sm" required>
            <?php
                $datos = mysqli_query($con,"SELECT * FROM banco WHERE empresa='$empresa' order by ban_nombre asc") ;
                while( $fila = mysqli_fetch_array( $datos ) )
                {
                    echo' <option value="'.$fila['ban_nombre'].'">'.$fila['ban_nombre'].'</option>';
                }
            ?>
        </select>
    </div>


    <input type="hidden" name="valor" value="<?php echo number_format($saldo,0); ?>" class="form-control name_list" readonly>
    <label>ABONO</label>
    <input type="number" min="0" name="abono" value="" class="form-control name_list" autocomplete="off" required >
    <div class="modal-footer">
        <input type="hidden" name="ord_id" value="<?php  echo $ord_id; ?>" >
        <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        <button type="submit" class="btn btn-info" name="btn_abonar" id="btn_abonar">Abonar</button>
    </div>
</form>
<script>
function medio_pago1(sel) 
{
    if (sel.value=="efectivo")
    {
        divC = document.getElementById("div_nota");
        divC.style.display = "none";
        divT = document.getElementById("div_medio_pago");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo");
        divT.style.display = "block";
    } 
    else if (sel.value=="nota credito")
    {
        divC = document.getElementById("div_nota");
        divC.style.display = "";
        divT = document.getElementById("div_medio_pago");
        divT.style.display = "none";
        divT = document.getElementById("div_efectivo");
        divT.style.display = "none";
    } 
    else 
    {
        divC = document.getElementById("div_nota");
        divC.style.display="none";
        divT = document.getElementById("div_medio_pago");
        divT.style.display = "";
        divT = document.getElementById("div_efectivo");
        divT.style.display = "none";
    }
}
</script>
<script>
$( "#form_abonar" ).submit(function( event ) {
$('#btn_abonar').attr("disabled", true);
var parametros = $(this).serialize();
   $.ajax({
      type: "POST",
      url: "php_orden_de_servicios/abonar.php",
      data: parametros,
        beforeSend: function(objeto){
         $('#resultados').html('<center><img src="./img/ajax-loader.gif"> CARGANDO...</center>');
        },
        success: function(datos){
        $("#resultados").html(datos);
        $('#btn_abonar').attr("disabled", false);

        $('#btn_abonar').modal('hide');
        $('body').removeClass('modal-open');
        $('.modal-backdrop').remove();
        load(1);
      }
  });
  event.preventDefault();
})
</script>                          